Move test for critical programs up.
authoraj <aj>
Tue, 17 Apr 2001 14:37:40 +0000 (14:37 +0000)
committeraj <aj>
Tue, 17 Apr 2001 14:37:40 +0000 (14:37 +0000)
configure.in

index b708faf..f280af7 100644 (file)
@@ -564,6 +564,14 @@ AC_CHECK_PROG_VER(MAKE, gnumake gmake make, --version,
   [GNU Make[^0-9]*\([0-9][0-9.]*\)],
   [3.79* | 3.[89]*], critic_missing=t)
 
+
+if test -n "$critic_missing"; then
+AC_MSG_ERROR([
+*** Some critical program is missing or too old.
+*** Check the INSTALL file for required versions.])
+fi
+
+
 AC_CHECK_PROG_VER(MSGFMT, gnumsgfmt gmsgfmt msgfmt, --version,
   [GNU gettext.* \([0-9]*\.[0-9.]*\)],
   [0.[1-9][0-9].* | [1-9].*], MSGFMT=: aux_missing=t)
@@ -591,12 +599,6 @@ AC_CHECK_TOOL(MIG, mig)
 #   [GNU assembler.* \([0-9]*\.[0-9.]*\(-ia64-[0-9]*\)*\)],
 #   [2.10.[1-9]* | 2.1[1-9]* | 2.9-ia64-*], AS=: critic_missing=t)
 
-if test -n "$critic_missing"; then
-AC_MSG_ERROR([
-*** Some critical program is missing or too old.
-*** Check the INSTALL file for required versions.])
-fi
-
 test -n "$aux_missing" && AC_MSG_WARN([
 *** An auxiliary program is missing or too old;
 *** some features will be disabled.